## gtk4 4.0.3

=== debian/changelog ===
gtk4 (4.0.3-4) experimental; urgency=medium

  * d/log-reftests.py: Collect more test results
  * d/rules: Don't export build results for tests that upstream expect
    to fail
  * d/rules: Update comments regarding failing tests that need to be
    processed

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2021 10:56:12 +0000

gtk4 (4.0.3-3) experimental; urgency=medium

  * d/patches: Adjust forwarding URL for refactoring
  * d/patches: Never mark rendering differences as accepted, only tolerated.
    Upstream consider absolutely any difference in rendering to be an error,
    so we should always record the diff for inspection.
  * Force installation of fontconfig's preferred fonts for tests.
    The experimental dependency resolver is non-deterministic and can
    choose various different fonts, some of which make the reftests fail.
    Force its hand by choosing the fonts that fontconfig prioritizes highest,
    so that we get deterministic results.
  * d/patches: Fix error reporting in gsk reftests.
    The gsk reftests don't use the GTest framework, so g_test_fail will have
    no effect here.

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Feb 2021 10:46:01 +0000

gtk4 (4.0.3-2) experimental; urgency=medium

  * Tolerate minor differences in some reftests
  * d/rules: Show the detailed test log even if tests all succeed
  * d/rules: Dump reftest differences into the log as base64.
    Debian package builds don't have an equivalent of $AUTOPKGTEST_ARTIFACTS
    (as requested in https://bugs.launchpad.net/launchpad/+bug/1845159) so
    this is the best we can do right now.

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Feb 2021 14:28:39 +0000

gtk4 (4.0.3-1) experimental; urgency=medium

  * New upstream release
  * symbols: Ignore removal of gtk_glade_catalog_init.
    This symbol appeared in the ABI, but not in any header files, and is
    considered private.
  * d/rules: Show test log if build-time test fails.
    dh_auto_test would automatically show meson-logs/testlog.txt, but
    because we're running with --setup=x11, we get
    meson-logs/testlog-x11.txt instead.
  * Increase dependency on librsvg2-common from Suggests to Recommends.
    This is not a hard dependency, but should be installed in nearly all
    cases. Increasingly many icons are provided in SVG format, so
    applications will appear broken if the SVG pixbuf loader is not
    installed. See #980396 for more information.
    adwaita-icon-theme already Recommends librsvg2-common, but people who
    routinely do not install recommended packages will get a better hint
    about how much will be broken by its removal if GTK also recommends it.
  * Bump graphene build-dependency to 1.10.4 on i386.
    Earlier versions used SSE, which has stricter alignment requirements
    that cause many of the build-time tests to fail (in addition to not
    being available on Debian's baseline CPU).
  * d/rules: Add a note of the test failures that need investigation
  * d/rules: Extend test timeout on slower architectures
  * Add myself to Uploaders

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Feb 2021 10:05:16 +0000

gtk4 (4.0.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Force recompilation of CSS with sassc

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jan 2021 18:45:15 +0000

gtk4 (4.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Bump SONAME to libgtk-4.so.1 to reflect incompatibility with 3.9x.y
      development releases
  * Rename source package to gtk4 while we're going through NEW anyway.
    This reflects the upstream name of the library (formerly GTK+,
    now GTK) and avoids "+" being misinterpreted as a space in URLs.
  * Bump required version for all symbols to 4.0.0
  * Add Provides for gir1.2-gdkwayland-4.0 on Linux
  * d/copyright: Remove unused GPL-2+ paragraph
  * d/copyright: Remove unused autoconf-archive paragraph
  * Standards-Version: 4.5.1 (no changes required)
  * Add a Lintian override for #970275
  * d/tests: Reduce number of tests marked as flaky
  * Add iso-codes as a Recommends, and depend on it for tests
  * Disable gvfs and other GIO modules for build-time tests.
    If running on a developer system, we don't want to interact with
    "larger" components like gnome-online-accounts.
  * Make build-time test failures fatal
  * Add missing libxdamage-dev (build-)dependency
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/changelog: Remove trailing whitespace
  * Replace XC-Package-Type with Package-Type
  * Use https for Homepage
  * d/watch: ".." is not a version number
  * Bump build-dependency on Glib to 2.66
  * Split gtk-4-tests into its own package
  * libgtk-4-1 Breaks/Replaces experimental libgtk-4-0.
    Both packages contain the print backends, which do not contain the
    SONAME in their names. We anticipate that if the SONAME was bumped in
    future, the "4.0.0" in the module loading path would also change, so
    this isn't a problem for Policy §8.2; the only reason the path didn't
    already change here is that versions prior to 4.0.0 were development
    snapshots and explicitly not API- or ABI-stable.
    Moving the print backends to a separate package would create a circular
    dependency (since libgtk-4-1 would need at least a Recommends on the
    print backends, and the print backends depend on the main library),
    and would not actually help co-installability with a future libgtk-4-2,
    since they should be upgraded in lockstep.
  * Remove obsolete Breaks copied from GTK 3

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 00:23:58 +0000

gtk+4.0 (3.99.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Build with system copy of gtk-doc
    - d/gbp.conf: Stop adding gtk-doc as a second orig tarball

