=== debian/tests/control ===
Tests: build
Depends: build-essential, libgtk-4-dev, xauth, xvfb
Restrictions: allow-stderr, superficial

Tests: python3-gi
Depends: dbus, gir1.2-gtk-4.0, python3-gi, xauth, xvfb
# https://gitlab.gnome.org/GNOME/pygobject/-/merge_requests/81, !145, etc.
Restrictions: flaky, superficial

Tests: installed-tests
Depends: dbus (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, xauth, xvfb
Restrictions: allow-stderr

Tests: installed-tests-flaky
Depends: dbus (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, xauth, xvfb
Restrictions: allow-stderr, flaky
