=== debian/watch ===
version=4
https://download.gnome.org/sources/gtk/(\d[\d\.]+)/ \
	gtk-@ANY_VERSION@\.tar\.xz
